package com.pj.api.dto;

import java.util.Date;

/**
 * @Author Mechrevo
 * @Date 2023 08 27 10 28
 **/
public class ShopDto {

    private String id;

    /**
     *
     */
    private Long enterpriseId;

    /**
     * 互市区id
     */
    private Long tradeAreaId;

    /**
     * 互市区名称
     */
    private String tradeAreaName;

    /**
     *
     */
    private String address;

    /**
     *
     */
    private String addressIds;

    /**
     * 区域(A区=A区,B区=B区,C区=C区)
     */
    private String area;

    /**
     * 是否可用(0=否,1=是)
     */
    private Integer status;

    /**
     *
     */
    private String remark;

    /**
     *
     */
    private String enterpriseName;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者id
     */
    private String createBy;

    /**
     * 创建者名称
     */
    private String createName;

    /**
     * 更新者id
     */
    private String updateBy;

    /**
     * 更新者名称
     */
    private String updateName;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 删除状态
     */
    private Integer deleteStatus;

    /**
     * 地方平台的内部业务编号，每次申请都是新编号
     */
    private String platSeqNo;

    /**
     * 商铺名称
     */
    private String shopName;

    /**
     * 商铺编码
     */
    private String shopNo;

    /**
     * 监管场所编号
     */
    private String fieldCode;

    /**
     * 监管场所名称
     */
    private String fieldName;

    /**
     * 关区代码
     */
    private String customsCode;

    /**
     * 营业执照号或社会信用统一代码
     */
    private String shopSccd;

    /**
     *  经营范围
     */
    private String bnsScope;

    /**
     * 铺主姓名
     */
    private String ownerName;

    /**
     * 铺主证件类型 01：身份证 02 护照
     */
    private String ownerIdtype;

    /**
     * 铺主联系方式
     */
    private String ownerTel;

    /**
     *  店铺地址
     */
    private String shopAddr;

    /**
     * 商铺类型：1-中方商铺 2-外国商铺
     */
    private String shopType;

    /**
     * 启停用状态： 1- 启用 2-停用 3-注销
     */
    private String eDStatus;

    /**
     * 有 效 效 截 止 时 间
     */
    private String expiry;

    /**
     * 备案编号，如果为新增备案，传空值；如果为变更备案，必须传值；
     */
    private String putrecNo;

    /**
     * 代理人姓名：商铺类型为外方商铺时必填
     */
    private String agentName;

    /**
     * 代理人联系方式：商铺类型为外方商铺时必填
     */
    private String agentTel;

    /**
     * 代理人证件类型：01-身份证，02-护照商铺类型为外方商铺时必填
     */
    private String agentIdtype;

    /**
     * 代理人身份证：商铺类型为外方商铺时必填
     */
    private String agentCiphertextIdno;

    /**
     * 地方政府编号
     */
    private String localGovernmentNo;

    /**
     * 备案状态：默认 0、待申报，1、已申报，2、备案通过，3、备案失败
     */
    private String filingStatus;

    /**
     * 店铺开户行
     */
    private String bank;

    /**
     * 店铺开户行账号
     */
    private String bankAccount;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Long getTradeAreaId() {
        return tradeAreaId;
    }

    public void setTradeAreaId(Long tradeAreaId) {
        this.tradeAreaId = tradeAreaId;
    }

    public String getTradeAreaName() {
        return tradeAreaName;
    }

    public void setTradeAreaName(String tradeAreaName) {
        this.tradeAreaName = tradeAreaName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddressIds() {
        return addressIds;
    }

    public void setAddressIds(String addressIds) {
        this.addressIds = addressIds;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public String getPlatSeqNo() {
        return platSeqNo;
    }

    public void setPlatSeqNo(String platSeqNo) {
        this.platSeqNo = platSeqNo;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getShopNo() {
        return shopNo;
    }

    public void setShopNo(String shopNo) {
        this.shopNo = shopNo;
    }

    public String getFieldCode() {
        return fieldCode;
    }

    public void setFieldCode(String fieldCode) {
        this.fieldCode = fieldCode;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getCustomsCode() {
        return customsCode;
    }

    public void setCustomsCode(String customsCode) {
        this.customsCode = customsCode;
    }

    public String getShopSccd() {
        return shopSccd;
    }

    public void setShopSccd(String shopSccd) {
        this.shopSccd = shopSccd;
    }

    public String getBnsScope() {
        return bnsScope;
    }

    public void setBnsScope(String bnsScope) {
        this.bnsScope = bnsScope;
    }

    public String getOwnerName() {
        return ownerName;
    }

    public void setOwnerName(String ownerName) {
        this.ownerName = ownerName;
    }

    public String getOwnerIdtype() {
        return ownerIdtype;
    }

    public void setOwnerIdtype(String ownerIdtype) {
        this.ownerIdtype = ownerIdtype;
    }

    public String getOwnerTel() {
        return ownerTel;
    }

    public void setOwnerTel(String ownerTel) {
        this.ownerTel = ownerTel;
    }

    public String getShopAddr() {
        return shopAddr;
    }

    public void setShopAddr(String shopAddr) {
        this.shopAddr = shopAddr;
    }

    public String getShopType() {
        return shopType;
    }

    public void setShopType(String shopType) {
        this.shopType = shopType;
    }

    public String geteDStatus() {
        return eDStatus;
    }

    public void seteDStatus(String eDStatus) {
        this.eDStatus = eDStatus;
    }

    public String getExpiry() {
        return expiry;
    }

    public void setExpiry(String expiry) {
        this.expiry = expiry;
    }

    public String getPutrecNo() {
        return putrecNo;
    }

    public void setPutrecNo(String putrecNo) {
        this.putrecNo = putrecNo;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getAgentTel() {
        return agentTel;
    }

    public void setAgentTel(String agentTel) {
        this.agentTel = agentTel;
    }

    public String getAgentIdtype() {
        return agentIdtype;
    }

    public void setAgentIdtype(String agentIdtype) {
        this.agentIdtype = agentIdtype;
    }

    public String getAgentCiphertextIdno() {
        return agentCiphertextIdno;
    }

    public void setAgentCiphertextIdno(String agentCiphertextIdno) {
        this.agentCiphertextIdno = agentCiphertextIdno;
    }

    public String getLocalGovernmentNo() {
        return localGovernmentNo;
    }

    public void setLocalGovernmentNo(String localGovernmentNo) {
        this.localGovernmentNo = localGovernmentNo;
    }

    public String getFilingStatus() {
        return filingStatus;
    }

    public void setFilingStatus(String filingStatus) {
        this.filingStatus = filingStatus;
    }

    public String getBank() {
        return bank;
    }

    public void setBank(String bank) {
        this.bank = bank;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public ShopDto(String id, Long enterpriseId, Long tradeAreaId, String tradeAreaName, String address, String addressIds, String area, Integer status, String remark, String enterpriseName, Date createTime, String createBy, String createName, String updateBy, String updateName, Date updateTime, Integer deleteStatus, String platSeqNo, String shopName, String shopNo, String fieldCode, String fieldName, String customsCode, String shopSccd, String bnsScope, String ownerName, String ownerIdtype, String ownerTel, String shopAddr, String shopType, String eDStatus, String expiry, String putrecNo, String agentName, String agentTel, String agentIdtype, String agentCiphertextIdno, String localGovernmentNo, String filingStatus, String bank, String bankAccount) {
        this.id = id;
        this.enterpriseId = enterpriseId;
        this.tradeAreaId = tradeAreaId;
        this.tradeAreaName = tradeAreaName;
        this.address = address;
        this.addressIds = addressIds;
        this.area = area;
        this.status = status;
        this.remark = remark;
        this.enterpriseName = enterpriseName;
        this.createTime = createTime;
        this.createBy = createBy;
        this.createName = createName;
        this.updateBy = updateBy;
        this.updateName = updateName;
        this.updateTime = updateTime;
        this.deleteStatus = deleteStatus;
        this.platSeqNo = platSeqNo;
        this.shopName = shopName;
        this.shopNo = shopNo;
        this.fieldCode = fieldCode;
        this.fieldName = fieldName;
        this.customsCode = customsCode;
        this.shopSccd = shopSccd;
        this.bnsScope = bnsScope;
        this.ownerName = ownerName;
        this.ownerIdtype = ownerIdtype;
        this.ownerTel = ownerTel;
        this.shopAddr = shopAddr;
        this.shopType = shopType;
        this.eDStatus = eDStatus;
        this.expiry = expiry;
        this.putrecNo = putrecNo;
        this.agentName = agentName;
        this.agentTel = agentTel;
        this.agentIdtype = agentIdtype;
        this.agentCiphertextIdno = agentCiphertextIdno;
        this.localGovernmentNo = localGovernmentNo;
        this.filingStatus = filingStatus;
        this.bank = bank;
        this.bankAccount = bankAccount;
    }

    public ShopDto() {
    }
}
